#include <iostream>
using namespace std;
int main(){
    int n;
    double a[3000],p[3000];
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
        cin>>p[i];
    }
    double m=0,x;
    for(int i=0;i<n;i++){
        x=0;
        for(int j=0;j<n;j++){
            if(p[i]<=p[j])
                x=x+a[j];
        }
        x=x*p[i]/100;
        if(x>m){
            m=x;
        }
    }
    printf("%f",m);

 return 0;
}